> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/how-to-articles/configure-ssl.md).

# Configure SSL

Configure SSL for Devolutions Server by importing a certificate, creating an HTTPS binding in IIS, and updating client application settings.

Please perform these steps only after you have configured the Devolutions Server instance and that you have indeed connected through a client application. Performing these steps right from the start may add a layer of complexity that may prevent you from succeeding in the initial configuration.

### Import Certificate or Create Self-Signed Certificate

1. Select the server node in the Tree View and double-click the ***Server Certificates*** feature in the ***List View***:
2. Click ***Import...*** in the ***Actions*** pane.

### Create a SSL Binding

1. Select the web site in the Tree View. Click ***Bindings...*** in the ***Actions*** pane. This brings up the binding editor that lets you create, edit, and delete bindings for your Web site.
2. Click ***Add...*** to add your new SSL binding to the site.
3. Select ***https*** in the ***Type*** drop-down list. Select the certificate you have imported or created from the ***SSL Certificate*** drop-down list and then click ***OK***.
4. Now you have a new ***SSL*** binding on your site.

### Modify the Devolutions Server configuration

1. From the Devolutions Server Console, edit the Devolutions Server instance.
2. Go in the IIS tab and uncheck the ***Disable HTTPS*** option.
3. Save the modification with the ***Save*** button.

### Configure SSL settings in the client applications

1. Edit the Devolutions Server workspace
2. Change the server URL to use the ***https\://*** protocol.

#### See also

* [Devolutions Academy - Installing Devolutions Server](https://academy.devolutions.net/student/page/2942307-installing-devolutions-server?curriculum_activity_id=4493546\&path_id=2942210\&sid=1f0658ca-fdf5-4f74-a93f-a6a4b8853c09\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/knowledge-base/how-to-articles/configure-ssl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
